Show / Hide Table of Contents

# Struct AtkCollisionNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkCollisionNode

### Fields

| Improve this Doc View Source

#### AtkResNode

##### Declaration

    public AtkResNode AtkResNode

##### Field Value

Type | Description
--- | ---
AtkResNode |

| Improve this Doc View Source

#### CollisionType

##### Declaration

    public ushort CollisionType

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LinkedComponent

##### Declaration

    public AtkComponentBase*LinkedComponent

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### Uses

##### Declaration

    public ushort Uses

##### Field Value

Type | Description
--- | ---
System.UInt16 |